# nginx -p `pwd` -c nginx.conf

error_log stderr info;
pid nginx/nginx.tmp.pid;
daemon off;

events {
}

http {
    include /etc/nginx/mime.types;

    server {
        listen 8443 ssl default_server;
        ssl_certificate dummykey.crt;
        ssl_certificate_key dummykey.key;

        access_log /dev/stdout;
        client_body_temp_path nginx/nginx.tmp.client_body;
        fastcgi_temp_path nginx/nginx.tmp.fastcgi_temp;
        proxy_temp_path nginx/nginx.tmp.proxy_temp;
        scgi_temp_path nginx/nginx.tmp.scgi_temp;
        uwsgi_temp_path nginx/nginx.tmp.uwsgi_temp;

        root .;

        location / {
        }

        location /ws {
           proxy_pass http://127.0.0.1:9001/;
           proxy_http_version 1.1;
           proxy_set_header Upgrade $http_upgrade;
           proxy_set_header Connection "Upgrade";
           proxy_set_header Host $host;
           proxy_read_timeout 7d;
       }
    }
}
